config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/gnats/databases.new
( cd etc/gnats/defaults ; rm -rf addresses )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/addresses addresses )
( cd etc/gnats/defaults ; rm -rf categories )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/categories categories )
( cd etc/gnats/defaults ; rm -rf classes )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/classes classes )
( cd etc/gnats/defaults ; rm -rf databases )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/databases databases )
( cd etc/gnats/defaults ; rm -rf dbconfig )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/dbconfig dbconfig )
( cd etc/gnats/defaults ; rm -rf gnatsd.host_access )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/gnatsd.host_access gnatsd.host_access )
( cd etc/gnats/defaults ; rm -rf gnatsd.user_access )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/gnatsd.user_access gnatsd.user_access )
( cd etc/gnats/defaults ; rm -rf responsible )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/responsible responsible )
( cd etc/gnats/defaults ; rm -rf send-pr.conf )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/send-pr.conf send-pr.conf )
( cd etc/gnats/defaults ; rm -rf states )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/states states )
( cd etc/gnats/defaults ; rm -rf submitters )
( cd etc/gnats/defaults ; ln -sf /usr/share/gnats/submitters submitters )
